<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_atividades = array();
	$tdatasenuc_atividades[".NumberOfChars"] = 80; 
	$tdatasenuc_atividades[".ShortName"] = "senuc_atividades";
	$tdatasenuc_atividades[".OwnerID"] = "id_nucleo";
	$tdatasenuc_atividades[".OriginalTable"] = "senuc_atividades";

//	field labels
$fieldLabelssenuc_atividades = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["tipo_atividade"] = "Tipo Atividade";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["tipo_atividade"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["materia_atividade"] = "Materia Atividade";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["materia_atividade"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["id_professor"] = "Professor";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["id_professor"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["nome_atividade"] = "Nome Atividade";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["nome_atividade"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["data_atividade"] = "Data Atividade";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["data_atividade"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["data_criacao"] = "Data Criacao";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["data_criacao"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["id_nucleo"] = "Nucleo";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["id_nucleo"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["atividade"] = "Atividade";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["atividade"] = "";
	$fieldLabelssenuc_atividades["Portuguese(Brazil)"]["id_turma"] = "Turma";
	$fieldToolTipssenuc_atividades["Portuguese(Brazil)"]["id_turma"] = "";
	if (count($fieldToolTipssenuc_atividades["Portuguese(Brazil)"]))
		$tdatasenuc_atividades[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_atividades[".NCSearch"] = true;



$tdatasenuc_atividades[".shortTableName"] = "senuc_atividades";
$tdatasenuc_atividades[".nSecOptions"] = 1;
$tdatasenuc_atividades[".recsPerRowList"] = 1;
$tdatasenuc_atividades[".mainTableOwnerID"] = "id_nucleo";
$tdatasenuc_atividades[".moveNext"] = 1;
$tdatasenuc_atividades[".nType"] = 0;

$tdatasenuc_atividades[".strOriginalTableName"] = "senuc_atividades";




$tdatasenuc_atividades[".showAddInPopup"] = true;

$tdatasenuc_atividades[".showEditInPopup"] = true;

$tdatasenuc_atividades[".showViewInPopup"] = true;

$tdatasenuc_atividades[".fieldsForRegister"] = array();

$tdatasenuc_atividades[".listAjax"] = false;

	$tdatasenuc_atividades[".audit"] = false;

	$tdatasenuc_atividades[".locking"] = false;

$tdatasenuc_atividades[".listIcons"] = true;
$tdatasenuc_atividades[".edit"] = true;
$tdatasenuc_atividades[".view"] = true;

$tdatasenuc_atividades[".exportTo"] = true;

$tdatasenuc_atividades[".printFriendly"] = true;

$tdatasenuc_atividades[".delete"] = true;

$tdatasenuc_atividades[".showSimpleSearchOptions"] = false;

$tdatasenuc_atividades[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_atividades[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_atividades[".isUseAjaxSuggest"] = true;

$tdatasenuc_atividades[".rowHighlite"] = true;

// button handlers file names
$tdatasenuc_atividades[".isUsebuttonHandlers"] = true;

$tdatasenuc_atividades[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_atividades[".isUseTimeForSearch"] = false;




$tdatasenuc_atividades[".allSearchFields"] = array();

$tdatasenuc_atividades[".allSearchFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".allSearchFields"][] = "materia_atividade";
$tdatasenuc_atividades[".allSearchFields"][] = "id_professor";
$tdatasenuc_atividades[".allSearchFields"][] = "id_turma";
$tdatasenuc_atividades[".allSearchFields"][] = "nome_atividade";
$tdatasenuc_atividades[".allSearchFields"][] = "data_atividade";
$tdatasenuc_atividades[".allSearchFields"][] = "atividade";
$tdatasenuc_atividades[".allSearchFields"][] = "id_nucleo";

$tdatasenuc_atividades[".googleLikeFields"][] = "id";
$tdatasenuc_atividades[".googleLikeFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".googleLikeFields"][] = "materia_atividade";
$tdatasenuc_atividades[".googleLikeFields"][] = "id_professor";
$tdatasenuc_atividades[".googleLikeFields"][] = "nome_atividade";
$tdatasenuc_atividades[".googleLikeFields"][] = "data_atividade";
$tdatasenuc_atividades[".googleLikeFields"][] = "data_criacao";
$tdatasenuc_atividades[".googleLikeFields"][] = "id_nucleo";
$tdatasenuc_atividades[".googleLikeFields"][] = "atividade";
$tdatasenuc_atividades[".googleLikeFields"][] = "id_turma";


$tdatasenuc_atividades[".advSearchFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".advSearchFields"][] = "materia_atividade";
$tdatasenuc_atividades[".advSearchFields"][] = "id_professor";
$tdatasenuc_atividades[".advSearchFields"][] = "id_turma";
$tdatasenuc_atividades[".advSearchFields"][] = "nome_atividade";
$tdatasenuc_atividades[".advSearchFields"][] = "data_atividade";
$tdatasenuc_atividades[".advSearchFields"][] = "atividade";
$tdatasenuc_atividades[".advSearchFields"][] = "id_nucleo";

$tdatasenuc_atividades[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main
	


$tdatasenuc_atividades[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY data_atividade DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_atividades[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_atividades[".orderindexes"] = array();
$tdatasenuc_atividades[".orderindexes"][] = array(6, (0 ? "ASC" : "DESC"), "data_atividade");

$tdatasenuc_atividades[".sqlHead"] = "SELECT id,  tipo_atividade,  materia_atividade,  id_professor,  nome_atividade,  data_atividade,  data_criacao,  id_nucleo,  atividade,  id_turma";
$tdatasenuc_atividades[".sqlFrom"] = "FROM senuc_atividades";
$tdatasenuc_atividades[".sqlWhereExpr"] = "";
$tdatasenuc_atividades[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_atividades[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_atividades[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_atividades = array();
$tableKeyssenuc_atividades[] = "id";
$tdatasenuc_atividades[".Keys"] = $tableKeyssenuc_atividades;

$tdatasenuc_atividades[".listFields"] = array();
$tdatasenuc_atividades[".listFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".listFields"][] = "materia_atividade";
$tdatasenuc_atividades[".listFields"][] = "id_professor";
$tdatasenuc_atividades[".listFields"][] = "id_turma";
$tdatasenuc_atividades[".listFields"][] = "nome_atividade";
$tdatasenuc_atividades[".listFields"][] = "data_atividade";
$tdatasenuc_atividades[".listFields"][] = "atividade";
$tdatasenuc_atividades[".listFields"][] = "id_nucleo";

$tdatasenuc_atividades[".viewFields"] = array();
$tdatasenuc_atividades[".viewFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".viewFields"][] = "materia_atividade";
$tdatasenuc_atividades[".viewFields"][] = "id_professor";
$tdatasenuc_atividades[".viewFields"][] = "id_turma";
$tdatasenuc_atividades[".viewFields"][] = "nome_atividade";
$tdatasenuc_atividades[".viewFields"][] = "data_atividade";
$tdatasenuc_atividades[".viewFields"][] = "atividade";

$tdatasenuc_atividades[".addFields"] = array();
$tdatasenuc_atividades[".addFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".addFields"][] = "materia_atividade";
$tdatasenuc_atividades[".addFields"][] = "id_professor";
$tdatasenuc_atividades[".addFields"][] = "id_turma";
$tdatasenuc_atividades[".addFields"][] = "nome_atividade";
$tdatasenuc_atividades[".addFields"][] = "data_atividade";
$tdatasenuc_atividades[".addFields"][] = "atividade";

$tdatasenuc_atividades[".inlineAddFields"] = array();

$tdatasenuc_atividades[".editFields"] = array();
$tdatasenuc_atividades[".editFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".editFields"][] = "materia_atividade";
$tdatasenuc_atividades[".editFields"][] = "id_professor";
$tdatasenuc_atividades[".editFields"][] = "id_turma";
$tdatasenuc_atividades[".editFields"][] = "nome_atividade";
$tdatasenuc_atividades[".editFields"][] = "data_atividade";
$tdatasenuc_atividades[".editFields"][] = "atividade";

$tdatasenuc_atividades[".inlineEditFields"] = array();

$tdatasenuc_atividades[".exportFields"] = array();
$tdatasenuc_atividades[".exportFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".exportFields"][] = "materia_atividade";
$tdatasenuc_atividades[".exportFields"][] = "id_professor";
$tdatasenuc_atividades[".exportFields"][] = "id_turma";
$tdatasenuc_atividades[".exportFields"][] = "nome_atividade";
$tdatasenuc_atividades[".exportFields"][] = "data_atividade";
$tdatasenuc_atividades[".exportFields"][] = "atividade";

$tdatasenuc_atividades[".printFields"] = array();
$tdatasenuc_atividades[".printFields"][] = "tipo_atividade";
$tdatasenuc_atividades[".printFields"][] = "materia_atividade";
$tdatasenuc_atividades[".printFields"][] = "id_professor";
$tdatasenuc_atividades[".printFields"][] = "id_turma";
$tdatasenuc_atividades[".printFields"][] = "nome_atividade";
$tdatasenuc_atividades[".printFields"][] = "data_atividade";
$tdatasenuc_atividades[".printFields"][] = "atividade";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["id"] = $fdata;
//	tipo_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "tipo_atividade";
	$fdata["GoodName"] = "tipo_atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Tipo Atividade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "tipo_atividade"; 
		$fdata["FullName"] = "tipo_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "tipo_atividade";
	
		
	$edata["LookupTable"] = "senuc_tipo_atividade";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["tipo_atividade"] = $fdata;
//	materia_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "materia_atividade";
	$fdata["GoodName"] = "materia_atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Materia Atividade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "materia_atividade"; 
		$fdata["FullName"] = "materia_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "materia";
	
		
	$edata["LookupTable"] = "materias";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["materia_atividade"] = $fdata;
//	id_professor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "id_professor";
	$fdata["GoodName"] = "id_professor";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Professor"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_professor"; 
		$fdata["FullName"] = "id_professor";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_professores";
	$edata["LookupOrderBy"] = "";
	
		
		$edata["LookupWhere"] = " idnucleo = " . $_SESSION["idnucleo"];
	
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["id_professor"] = $fdata;
//	nome_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nome_atividade";
	$fdata["GoodName"] = "nome_atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Nome Atividade"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome_atividade"; 
		$fdata["FullName"] = "nome_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["nome_atividade"] = $fdata;
//	data_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "data_atividade";
	$fdata["GoodName"] = "data_atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Data Atividade"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_atividade"; 
		$fdata["FullName"] = "data_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["data_atividade"] = $fdata;
//	data_criacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "data_criacao";
	$fdata["GoodName"] = "data_criacao";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Data Criacao"; 
	$fdata["FieldType"] = 135;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "data_criacao"; 
		$fdata["FullName"] = "data_criacao";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["data_criacao"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "id_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["id_nucleo"] = $fdata;
//	atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "atividade";
	$fdata["GoodName"] = "atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Atividade"; 
	$fdata["FieldType"] = 201;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "atividade"; 
		$fdata["FullName"] = "atividade";
	
		$fdata["DeleteAssociatedFile"] = true;
	
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "atividades_arquivos";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Document Download");
	
		
		
		
								$vdata["ShowIcon"] = true; 
				
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Document upload");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 2;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["atividade"] = $fdata;
//	id_turma
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "id_turma";
	$fdata["GoodName"] = "id_turma";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Turma"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_turma"; 
		$fdata["FullName"] = "id_turma";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "turma";
	
		
	$edata["LookupTable"] = "senuc_turmas";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades["id_turma"] = $fdata;

	
$tables_data["senuc_atividades"]=&$tdatasenuc_atividades;
$field_labels["senuc_atividades"] = &$fieldLabelssenuc_atividades;
$fieldToolTips["senuc_atividades"] = &$fieldToolTipssenuc_atividades;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_atividades"] = array();
$dIndex = 1-1;
			$strOriginalDetailsTable="senuc_atividades_aluno";
	$detailsParam["dDataSourceTable"]="senuc_atividades_aluno";
	$detailsParam["dOriginalTable"]=$strOriginalDetailsTable;
	$detailsParam["dShortTable"]="senuc_atividades_aluno";
	$detailsParam["masterKeys"]=array();
	$detailsParam["detailKeys"]=array();
	$detailsParam["dispChildCount"]= "1";
	$detailsParam["hideChild"]="0";
	$detailsParam["previewOnList"]= 0;
	$detailsParam["previewOnAdd"]= 0;
	$detailsParam["previewOnEdit"]= 0;
	$detailsParam["previewOnView"]= 0;
		
	$detailsTablesData["senuc_atividades"][$dIndex] = $detailsParam;
	
		
		$detailsTablesData["senuc_atividades"][$dIndex]["masterKeys"][]="id";
		$detailsTablesData["senuc_atividades"][$dIndex]["detailKeys"][]="id_atividade";

	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_atividades"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_atividades"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_atividades"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_atividades"][$mIndex]["detailKeys"][]="id_nucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_atividades()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  tipo_atividade,  materia_atividade,  id_professor,  nome_atividade,  data_atividade,  data_criacao,  id_nucleo,  atividade,  id_turma";
$proto0["m_strFrom"] = "FROM senuc_atividades";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY data_atividade DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_atividades"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "materia_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "id_professor",
	"m_strTable" => "senuc_atividades"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "nome_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "data_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "data_criacao",
	"m_strTable" => "senuc_atividades"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_atividades"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "atividade",
	"m_strTable" => "senuc_atividades"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "id_turma",
	"m_strTable" => "senuc_atividades"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "senuc_atividades";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "id";
$proto26["m_columns"][] = "tipo_atividade";
$proto26["m_columns"][] = "materia_atividade";
$proto26["m_columns"][] = "id_professor";
$proto26["m_columns"][] = "nome_atividade";
$proto26["m_columns"][] = "data_atividade";
$proto26["m_columns"][] = "data_criacao";
$proto26["m_columns"][] = "atividade";
$proto26["m_columns"][] = "id_nucleo";
$proto26["m_columns"][] = "id_turma";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_alias"] = "";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = "0";
$proto27["m_inBrackets"] = "0";
$proto27["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto29=array();
						$obj = new SQLField(array(
	"m_strName" => "data_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto29["m_column"]=$obj;
$proto29["m_bAsc"] = 0;
$proto29["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto29);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_atividades = createSqlQuery_senuc_atividades();
										$tdatasenuc_atividades[".sqlquery"] = $queryData_senuc_atividades;
	
if(isset($tdatasenuc_atividades["field2"])){
	$tdatasenuc_atividades["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_atividades["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_atividades["field2"]["LookupType"] = 4;
	$tdatasenuc_atividades["field2"]["LinkField"] = "email";
	$tdatasenuc_atividades["field2"]["DisplayField"] = "name";
	$tdatasenuc_atividades[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_atividades_events.php"));
$tableEvents["senuc_atividades"] = new eventclass_senuc_atividades;
$tdatasenuc_atividades[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_atividades");

?>